# Struct crypto::scrypt::ScryptParams [−] [src]

    pub struct ScryptParams { /* fields omitted */ }

The Scrypt parameter values.

## Methods

### `impl ScryptParams`
[src]

#### `fn new(log_n: u8, r: u32, p: u32) -> ScryptParams`

Create a new instance of ScryptParams.

# Arguments

- log_n - The log2 of the Scrypt parameter N
- r - The Scrypt parameter r
- p - The Scrypt parameter p

## Trait Implementations

### `impl Clone for ScryptParams`
[src]

#### `fn clone(&self) -> ScryptParams`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl Copy for ScryptParams`
[src]

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)